Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Loyalty

  • Create loyalty account

  • Search loyalty accounts

  • Retrieve loyalty account

  • Accumulate loyalty points

  • Adjust loyalty points

  • Search loyalty events

  • Retrieve loyalty program

  • Calculate loyalty points

  • List loyalty promotions

  • Create loyalty promotion

  • Retrieve loyalty promotion

  • Cancel loyalty promotion

  • Create loyalty reward

  • Search loyalty rewards

  • Delete loyalty reward

  • Retrieve loyalty reward

  • Redeem loyalty reward

  • Webhooks

  • loyalty.account.created

  • loyalty.account.deleted

  • loyalty.account.updated

  • loyalty.event.created

  • loyalty.program.created

  • loyalty.program.updated

  • loyalty.promotion.created

  • loyalty.promotion.updated

<- Loyalty API

Loyalty API

All versions ->

Adjust loyalty points

POST

 /v2/loyalty/accounts/{account_id}/adjust

Adds points to or subtracts points from a buyer's account.

Use this endpoint only when you need to manually adjust points. Otherwise, in your application flow, you call AccumulateLoyaltyPoints to add points when a buyer pays for the purchase.

Permissions:LOYALTY_WRITE

Guide

Adjust loyalty points

Try in API Explorer
Link to section

Path parameters

Example code

Link to section

account_id

string

Required

The ID of the target loyalty account.

Link to section

Request body

Link to section

idempotency_key

string

Required

A unique string that identifies this AdjustLoyaltyPoints request. Keys can be any valid string, but must be unique for every request.

Min Length
1
Max Length
128
Link to section

adjust_points

Required

The points to add or subtract and the reason for the adjustment. To add points, specify a positive integer. To subtract points, specify a negative integer.

Link to section

allow_negative_balance

boolean

Indicates whether to allow a negative adjustment to result in a negative balance. If true, a negative balance is allowed when subtracting points. If false, Square returns a BAD_REQUEST error when subtracting the specified number of points would result in a negative balance. The default value is false.

Link to section

Response fields

Link to section

errors

Any errors that occurred during the request.

Link to section

event

The resulting event data for the adjustment.

Link to section

Examples

All versions ->

POST /v2/loyalty/accounts/{account_id}/adjust
curl https://connect.squareup.com/v2/loyalty/accounts/5adcb100-07f1-4ee7-b8c6-6bb9ebc474bd/adjust \ -X POST \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "adjust_points": { "points": 10, "reason": "Complimentary points" }, "idempotency_key": "bc29a517-3dc9-450e-aa76-fae39ee849d1" }'

Response JSON

{ "event": { "id": "613a6fca-8d67-39d0-bad2-3b4bc45c8637", "type": "ADJUST_POINTS", "created_at": "2020-05-08T21:42:32Z", "adjust_points": { "loyalty_program_id": "d619f755-2d17-41f3-990d-c04ecedd64dd", "points": 10, "reason": "Complimentary points" }, "loyalty_account_id": "5adcb100-07f1-4ee7-b8c6-6bb9ebc474bd", "source": "LOYALTY_API" } }